; Hello.asm, minimal pilot app with 'Pila' assembler.

	appl "Hello",'hllo'
	
	include "pilot.inc"
	include "startup.inc"

kidrHelloAlert	equ	1000
kidrHelpString	equ	1001
kidrPREF	equ	1
kidrTVER	equ	1

	code

proc PilotMain(cmd.w, cmdPBP.l, launchFlags.w)
; func args are equ'd as offsets from 'a6' reg
local err.w
local ent.EventType
; and so are 'local's
beginproc
; ^ does 'link a6,#nnnn', for after args/locals
	
	tst.w cmd(a6)
	bne .Return ; sysAppLaunchCmdNormalLaunch is 0, else, quit

	systrap FrmAlert(#kidrHelloAlert.w)
; <=> [ push args on stack, and do trap ]
;     move.w #kidrHelloAlert,-(a7) ; push arg
;     trap #15
;     dc.w sysTrapFrmAlert
;     addq.l #2,a7          ; pop retval

.Return
	endproc
; ^ deos 'unlk' + 'rts'

	res 'Talt',kidrHelloAlert 
	dc.w informationAlert
	dc.w kidrHelpString
	dc.w 1     ; num buttons
	dc.w 0     ; defualt button
	dc.b	'Red Alert', 0		;title text
	dc.b	'Hello world!', 0	;message text
	dc.b	'Most excellent!', 0	;button text


	res	'tSTR', kidrHelpString
	dc.b	'I am a Pilot programming geek!', 0

	res	'tver', kidrTVER
	dc.b	'1.0', 0

	res	'pref', kidrPREF
	dc.w	sysAppLaunchFlagNewStack|sysAppLaunchFlagNewGlobals|sysAppLaunchFlagUIApp|sysAppLaunchFlagSubCall
	dc.l	$1000			; stack size
	dc.l	$1000			; heap size

